use metrics::{describe_counter, Unit};

pub fn describe_raking_metrics() {
    describe_counter!(
        "qprake_rake_status_count",
        Unit::Count,
        "Number of rakes, by status."
    );

    describe_counter!(
        "qprake_rake_specific_fail_count",
        Unit::Count,
        "Number of specific rake failures."
    );

    describe_counter!(
        "qprake_rake_content_bytes",
        Unit::Bytes,
        "Number of content bytes raked."
    );
}
